diff --git a/lib/block/bdev.py b/lib/block/bdev.py
index 649d92e..773a6d4 100644
--- a/lib/block/bdev.py
+++ b/lib/block/bdev.py
@@ -2377,7 +738,7 @@ class FileStorage(BlockDev):
 
     """
     if not os.path.exists(self.dev_path):
-      _ThrowError("File device '%s' does not exist" % self.dev_path)
+      base.ThrowError("File device '%s' does not exist" % self.dev_path)
 
   def Shutdown(self):
     """Shutdown the device.
@@ -2415,14 +776,14 @@ class FileStorage(BlockDev):
       os.remove(self.dev_path)
     except OSError, err:
       if err.errno != errno.ENOENT:
-        _ThrowError("Can't remove file '%s': %s", self.dev_path, err)
+        base.ThrowError("Can't remove file '%s': %s", self.dev_path, err)
 
   def Rename(self, new_id):
     """Renames the file.
 
     """
     # TODO: implement rename for file-based storage
-    _ThrowError("Rename is not supported for file-based storage")
+    base.ThrowError("Rename is not supported for file-based storage")
 
   def Grow(self, amount, dryrun, backingstore):
     """Grow the file
@@ -2445,7 +806,7 @@ class FileStorage(BlockDev):
       f.truncate(new_size)
       f.close()
     except EnvironmentError, err:
-      _ThrowError("Error in file growth: %", str(err))
+      base.ThrowError("Error in file growth: %", str(err))
 
   def Attach(self):
     """Attach to an existing file.
@@ -2470,7 +831,7 @@ class FileStorage(BlockDev):
       st = os.stat(self.dev_path)
       return st.st_size
     except OSError, err:
-      _ThrowError("Can't stat %s: %s", self.dev_path, err)
+      base.ThrowError("Can't stat %s: %s", self.dev_path, err)
 
   @classmethod
   def Create(cls, unique_id, children, size, params, excl_stor):
@@ -2499,13 +860,13 @@ class FileStorage(BlockDev):
       f.close()
     except EnvironmentError, err:
       if err.errno == errno.EEXIST:
-        _ThrowError("File already existing: %s", dev_path)
-      _ThrowError("Error in file creation: %", str(err))
+        base.ThrowError("File already existing: %s", dev_path)
+      base.ThrowError("Error in file creation: %", str(err))
 
     return FileStorage(unique_id, children, size, params)
 
 
-class PersistentBlockDevice(BlockDev):
+class PersistentBlockDevice(base.BlockDev):
   """A block device with persistent node
 
   May be either directly attached, or exposed through DM (e.g. dm-multipath).
@@ -2564,7 +925,7 @@ class PersistentBlockDevice(BlockDev):
     """Rename this device.
 
     """
-    _ThrowError("Rename is not supported for PersistentBlockDev storage")
+    base.ThrowError("Rename is not supported for PersistentBlockDev storage")
 
   def Attach(self):
     """Attach to an existing block device.
@@ -2616,10 +977,10 @@ class PersistentBlockDevice(BlockDev):
     """Grow the logical volume.
 
     """
-    _ThrowError("Grow is not supported for PersistentBlockDev storage")
+    base.ThrowError("Grow is not supported for PersistentBlockDev storage")
 
 
-class RADOSBlockDevice(BlockDev):
+class RADOSBlockDevice(base.BlockDev):
   """A RADOS Block Device (rbd).
 
   This class implements the RADOS Block Device for the backend. You need
@@ -2661,8 +1022,8 @@ class RADOSBlockDevice(BlockDev):
            rbd_name, "--size", "%s" % size]
     result = utils.RunCmd(cmd)
     if result.failed:
-      _ThrowError("rbd creation failed (%s): %s",
-                  result.fail_reason, result.output)
+      base.ThrowError("rbd creation failed (%s): %s",
+                      result.fail_reason, result.output)
 
     return RADOSBlockDevice(unique_id, children, size, params)
 
@@ -2684,8 +1045,8 @@ class RADOSBlockDevice(BlockDev):
     cmd = [constants.RBD_CMD, "rm", "-p", rbd_pool, rbd_name]
     result = utils.RunCmd(cmd)
     if result.failed:
-      _ThrowError("Can't remove Volume from cluster with rbd rm: %s - %s",
-                  result.fail_reason, result.output)
+      base.ThrowError("Can't remove Volume from cluster with rbd rm: %s - %s",
+                      result.fail_reason, result.output)
 
   def Rename(self, new_id):
     """Rename this device.
@@ -2743,14 +1104,14 @@ class RADOSBlockDevice(BlockDev):
     map_cmd = [constants.RBD_CMD, "map", "-p", pool, name]
     result = utils.RunCmd(map_cmd)
     if result.failed:
-      _ThrowError("rbd map failed (%s): %s",
-                  result.fail_reason, result.output)
+      base.ThrowError("rbd map failed (%s): %s",
+                      result.fail_reason, result.output)
 
     # Find the corresponding rbd device.
     rbd_dev = self._VolumeToBlockdev(pool, name)
     if not rbd_dev:
-      _ThrowError("rbd map succeeded, but could not find the rbd block"
-                  " device in output of showmapped, for volume: %s", name)
+      base.ThrowError("rbd map succeeded, but could not find the rbd block"
+                      " device in output of showmapped, for volume: %s", name)
 
     # The device was successfully mapped. Return it.
     return rbd_dev
@@ -2792,8 +1153,8 @@ class RADOSBlockDevice(BlockDev):
       showmap_cmd = [constants.RBD_CMD, "showmapped", "-p", pool]
       result = utils.RunCmd(showmap_cmd)
       if result.failed:
-        _ThrowError("rbd showmapped failed (%s): %s",
-                    result.fail_reason, result.output)
+        base.ThrowError("rbd showmapped failed (%s): %s",
+                        result.fail_reason, result.output)
 
       return cls._ParseRbdShowmappedPlain(result.output, volume_name)
 
@@ -2815,18 +1176,18 @@ class RADOSBlockDevice(BlockDev):
     try:
       devices = serializer.LoadJson(output)
     except ValueError, err:
-      _ThrowError("Unable to parse JSON data: %s" % err)
+      base.ThrowError("Unable to parse JSON data: %s" % err)
 
     rbd_dev = None
     for d in devices.values(): # pylint: disable=E1103
       try:
         name = d["name"]
       except KeyError:
-        _ThrowError("'name' key missing from json object %s", devices)
+        base.ThrowError("'name' key missing from json object %s", devices)
 
       if name == volume_name:
         if rbd_dev is not None:
-          _ThrowError("rbd volume %s is mapped more than once", volume_name)
+          base.ThrowError("rbd volume %s is mapped more than once", volume_name)
 
         rbd_dev = d["device"]
 
@@ -2868,15 +1229,15 @@ class RADOSBlockDevice(BlockDev):
       # format (< 0.55).
       splitted_lines = map(lambda l: l.split("\t"), lines)
       if field_cnt != allfields:
-        _ThrowError("Cannot parse rbd showmapped output expected %s fields,"
-                    " found %s", allfields, field_cnt)
+        base.ThrowError("Cannot parse rbd showmapped output expected %s fields,"
+                        " found %s", allfields, field_cnt)
 
     matched_lines = \
       filter(lambda l: len(l) == allfields and l[volumefield] == volume_name,
              splitted_lines)
 
     if len(matched_lines) > 1:
-      _ThrowError("rbd volume %s mapped more than once", volume_name)
+      base.ThrowError("rbd volume %s mapped more than once", volume_name)
 
     if matched_lines:
       # rbd block device found. Return it.
@@ -2924,8 +1285,8 @@ class RADOSBlockDevice(BlockDev):
       unmap_cmd = [constants.RBD_CMD, "unmap", "%s" % rbd_dev]
       result = utils.RunCmd(unmap_cmd)
       if result.failed:
-        _ThrowError("rbd unmap failed (%s): %s",
-                    result.fail_reason, result.output)
+        base.ThrowError("rbd unmap failed (%s): %s",
+                        result.fail_reason, result.output)
 
   def Open(self, force=False):
     """Make the device ready for I/O.
@@ -2952,7 +1313,7 @@ class RADOSBlockDevice(BlockDev):
     if not backingstore:
       return
     if not self.Attach():
-      _ThrowError("Can't attach to rbd device during Grow()")
+      base.ThrowError("Can't attach to rbd device during Grow()")
 
     if dryrun:
       # the rbd tool does not support dry runs of resize operations.
@@ -2969,11 +1330,11 @@ class RADOSBlockDevice(BlockDev):
            rbd_name, "--size", "%s" % new_size]
     result = utils.RunCmd(cmd)
     if result.failed:
-      _ThrowError("rbd resize failed (%s): %s",
-                  result.fail_reason, result.output)
+      base.ThrowError("rbd resize failed (%s): %s",
+                      result.fail_reason, result.output)
 
 
-class ExtStorageDevice(BlockDev):
+class ExtStorageDevice(base.BlockDev):
   """A block device provided by an ExtStorage Provider.
 
   This class implements the External Storage Interface, which means
@@ -3115,7 +1476,7 @@ class ExtStorageDevice(BlockDev):
     if not backingstore:
       return
     if not self.Attach():
-      _ThrowError("Can't attach to extstorage device during Grow()")
+      base.ThrowError("Can't attach to extstorage device during Grow()")
 
     if dryrun:
       # we do not support dry runs of resize operations for now.
@@ -3174,7 +1535,7 @@ def _ExtStorageAction(action, unique_id, ext_params,
   # Create an External Storage instance of type `driver'
   status, inst_es = ExtStorageFromDisk(driver)
   if not status:
-    _ThrowError("%s" % inst_es)
+    base.ThrowError("%s" % inst_es)
 
   # Create the basic environment for the driver's scripts
   create_env = _ExtStorageEnvironment(unique_id, ext_params, size,
@@ -3189,8 +1550,8 @@ def _ExtStorageAction(action, unique_id, ext_params,
 
   # Make sure the given action results in a valid script
   if action not in constants.ES_SCRIPTS:
-    _ThrowError("Action '%s' doesn't result in a valid ExtStorage script" %
-                action)
+    base.ThrowError("Action '%s' doesn't result in a valid ExtStorage script" %
+                    action)
 
   # Find out which external script to run according the given action
   script_name = action + "_script"
@@ -3213,9 +1574,9 @@ def _ExtStorageAction(action, unique_id, ext_params,
     else:
       lines = result.output[-20:]
 
-    _ThrowError("External storage's %s script failed (%s), last"
-                " lines of output:\n%s",
-                action, result.fail_reason, "\n".join(lines))
+    base.ThrowError("External storage's %s script failed (%s), last"
+                    " lines of output:\n%s",
+                    action, result.fail_reason, "\n".join(lines))
 
   if action == constants.ES_ACTION_ATTACH:
     return result.stdout
@@ -3346,17 +1707,17 @@ def _VolumeLogName(kind, es_name, volume):
   """
   # Check if the extstorage log dir is a valid dir
   if not os.path.isdir(pathutils.LOG_ES_DIR):
-    _ThrowError("Cannot find log directory: %s", pathutils.LOG_ES_DIR)
+    base.ThrowError("Cannot find log directory: %s", pathutils.LOG_ES_DIR)
 
   # TODO: Use tempfile.mkstemp to create unique filename
-  base = ("%s-%s-%s-%s.log" %
-          (kind, es_name, volume, utils.TimestampForFilename()))
-  return utils.PathJoin(pathutils.LOG_ES_DIR, base)
+  basename = ("%s-%s-%s-%s.log" %
+              (kind, es_name, volume, utils.TimestampForFilename()))
+  return utils.PathJoin(pathutils.LOG_ES_DIR, basename)
 
 
 DEV_MAP = {
   constants.LD_LV: LogicalVolume,
-  constants.LD_DRBD8: DRBD8,
+  constants.LD_DRBD8: drbd.DRBD8,
   constants.LD_BLOCKDEV: PersistentBlockDevice,
   constants.LD_RBD: RADOSBlockDevice,
   constants.LD_EXT: ExtStorageDevice,
